@charset "utf-8";

#main_contents {
	position: relative;
}

input[type="text"] {
    padding: 0;
    border: none;
    border-radius: 0;
    outline: none;
    background: none;
}
input[type="radio"] {
    display: none;
}
input[type="radio"]:checked + label {
    background: #ff0000;
}
input[type="checkbox"] {
    display: none;
}
input[type="checkbox"]:checked + label {
    background: #ff0000;
}
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: none;
    outline: none;
    background: transparent;
}
textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    resize: none;
    padding: 0;
    border: 0;
    outline: none;
    background: transparent;
}
button,
input[type="submit"] ,input[type="button"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding: 0;
    border: none;
    outline: none;
    background: transparent;
}

.search_box_outer {
display:-webkit-box;
display:-ms-flexbox;
display:flex;
-webkit-box-pack: center;
-ms-flex-pack: center;
justify-content: center;
	width: 50%;
	box-sizing: border-box;
	padding: 0 5px;
		position: absolute;
		right: 0;
		top: 11px;
	z-index: 2;
}
	.search_casttype_outer {
		width: 50%;
	box-sizing: border-box;
		padding-right: 5px;
	}
.casttype_check{
    display: none;
}

.search_casttype{
	display:-webkit-box;
	display:-ms-flexbox;
	display:flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
    overflow: auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    opacity: 0;
    transition: opacity 0.5s, transform 0s 0.5s;
    transform: scale(0);
}

.casttype_trigger{
    position: absolute;
    width: 100%;
    height: 100%;
}

.search_casttype_content{
    position: relative;
    align-self: center;
    width: 600px;
    max-width: 600px;
    padding: 30px 20px 15px;
    box-sizing: border-box;
    background: #fff;
    line-height: 1.4em;
    transition: 0.5s;
}

.search_casttype_close{
    position: absolute;
    top: 14px;
    right: 16px;
    font-size: 24px;
    cursor: pointer;
	color: #333;
}

.casttype_check:checked ~ .search_casttype{
    opacity: 1;
    transform: scale(1);
    transition: opacity 0.5s;
}


.search_casttype_inner dt {
	font-size: 14px;
	font-weight: bold;
	color: #000;
}

.search_casttype_inner dd {
  	display:-webkit-box;
  	display:-ms-flexbox;
  	display:flex;
  	-ms-flex-wrap: wrap;
  	flex-wrap: wrap;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
}


.control {
    display: block;
    position: relative;
	box-sizing: border-box;
    padding-left: 30px;
    margin-bottom: 15px;
    cursor: pointer;
    font-size: 15px;
    color: #000;
}
.control input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}
.search_casttype_inner [type=checkbox], .search_casttype_inner [type=radio] {
    box-sizing: border-box;
    padding: 0;
}
.control input:checked ~ .control__indicator {
    background: #000;
}
.control__indicator {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background: #e6e6e6;
}
.control input:checked ~ .control__indicator:after {
    display: block;
}
.control--checkbox .control__indicator:after {
    left: 8px;
    top: 4px;
    width: 3px;
    height: 8px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.control__indicator:after {
    content: '';
    position: absolute;
    display: none;
}
	
.search_casttype_inner input[type=submit] {
	background: #000;
	padding:  5px 30px;
	color: #fff;
	font-size: 14px;
	margin: 0 auto;
    cursor: pointer;
}
	.search_casttype_inner ul li:nth-child(1) {
		text-align: center;
	}
	
	.search_casttype_inner ul li:nth-child(2) {
		text-align: right;
	}
	
	.search_casttype_inner ul li .fa-times-circle {
		margin-right: 0;
		color: #000;
	}
	
.search_casttype_inner #clear_all_type {	
	padding: 5px 0;
	color: #000;
	font-size: 14px;
    cursor: pointer;
}
	.search_casttype_inner #clear_all_type:before {
		content: "\f057";
		margin-right: 3px;
  font-family: "Font Awesome 5 Free";
		font-weight: 900;
		color: #000;
		display: inline-block;
	}

.search_casttype_inner dt {
	padding-bottom: 5px;
}
	
.search_casttype_inner dl.age .control,
.search_casttype_inner dl.height .control,
.search_casttype_inner dl.course .control,
.search_casttype_inner dl.waist .control{
	width: 50%;
}
.search_casttype_inner dl.cup {
}
.search_casttype_inner dl.cup .control {
	width: 15%;
}

.search_casttype_open{
	display: block;
	width: 100%;
	box-sizing: border-box;
	padding: 0 5px;
	cursor: pointer;
	background: #000;
	border: 1px solid #fff;
	color: #fff;
	text-align: center;
	height: 30px;
	line-height: 30px;
	font-weight: bold;
}

.search_casttype_open::before {
	content: "\f4fc";
	margin-right: 5px;
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
}

.search_castname{
	width: 50%;
	height: 30px;
	line-height: 30px;
	padding: 0 5px;
	margin-bottom: 10px;
	box-sizing: border-box;
	position: relative;
	background: #fff;
	border: 1px solid #fff;
	display: block;
	overflow: hidden;
}
.search_castname input[type="text"]{
  border: none;
	font-size: 14px;
	line-height: 12px;
	margin: 0;
	padding: 0;
}
.search_castname input[type="text"]:focus {
  outline: 0;
}
.search_castname input[type="text"]::placeholder {
	font-size: 14px;
	line-height: 16px;
	padding: 0;
	margin: 0;
}
.search_castname input[type="submit"]{
	cursor: pointer;
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	font-size: 16px;
	border: 0;
	border-radius:0;
	background: #000;
	color: #fff;
	position: absolute;
	right: 0;
	top: 0;
	width: 30px;
	height: 30px;
	outline : none;
}
	.search_castname input[type="button"] {
	cursor: pointer;
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	font-size: 16px;
	border: 0;
	border-radius:0;
	color: #ccc;
	position: absolute;
	right: 30px;
	top: 0;
	width: 30px;
	height: 30px;
	outline : none;		
	}